Github messages for voidlinux
 help / color / mirror / Atom feed
* [ISSUE] Wine 6.20+ uses bundled libraries
@ 2021-11-22 15:47 amak79
  2021-11-22 16:57 ` ericonr
                   ` (4 more replies)
  0 siblings, 5 replies; 6+ messages in thread
From: amak79 @ 2021-11-22 15:47 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 2586 bytes --]

New issue by amak79 on void-packages repository

https://github.com/void-linux/void-packages/issues/34201

Description:
### System

* xuname: Void 5.10.80-gentoo x86_64 AuthenticAMD uptodate rrmFFF (Void is running in an LXD container on a Gentoo host)
* package: wine-6.22_1

Wine 6.20 [bundled](https://www.winehq.org/announce/6.20) some system libraries to support PE builds. This causes `xbps` to remove these system libraries since Wine no longer links against them, and nothing else on my system depends on them.
```
# xbps-remove -o

Name                Action    Version           New version            Download size
FAudio              remove    20.11_2           -                      -
FAudio-32bit        remove    20.11_2           -                      -
SDL2                remove    2.0.16_1          -                      -
SDL2-32bit          remove    2.0.16_1          -                      -
lcms2               remove    2.12_1            -                      -
lcms2-32bit         remove    2.12_1            -                      -
libXScrnSaver       remove    1.2.3_1           -                      -
libXScrnSaver-32bit remove    1.2.3_1           -                      -
libXrandr           remove    1.5.2_1           -                      -
libXrandr-32bit     remove    1.5.2_1           -                      -
libdecor            remove    0.1.0_1           -                      -
libdecor-32bit      remove    0.1.0_1           -                      -
libmpg123           remove    1.29.2_1          -                      -
libmpg123-32bit     remove    1.29.2_1          -                      -
libxkbcommon        remove    1.3.1_1           -                      -
libxkbcommon-32bit  remove    1.3.1_1           -                      -
xkeyboard-config    remove    2.34_1            -                      -
xkbcomp             remove    1.4.5_1           -                      -
```
The removal of `libXrandr` in particular causes issues for me. Without `libXrandr`, Wine will run games in a small window in the top left corner of the screen, instead of in fullscreen. Manually installing `libXrandr` and `libXrandr-32bit` fixes this issue.

`libXrandr-devel` is listed in `makedepends` and `configure` finds it
```
...
checking for -lXrandr... libXrandr.so.2
...
```
but `xbps-src` doesn't detect it as a runtime dep. Should `libXrandr` be added to `depends`? I believe it worked with Wine <=6.19 because `libXrandr` was pulled in by `SDL2`, but now doesn't since Wine uses bundled SDL.

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: Wine 6.20+ uses bundled libraries
  2021-11-22 15:47 [ISSUE] Wine 6.20+ uses bundled libraries amak79
@ 2021-11-22 16:57 ` ericonr
  2021-11-23  0:16 ` amak79
                   ` (3 subsequent siblings)
  4 siblings, 0 replies; 6+ messages in thread
From: ericonr @ 2021-11-22 16:57 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 319 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/issues/34201#issuecomment-975728521

Comment:
Wine should be fixed to use system SDL2, if possible. I can see it doing `dlopen` for things instead of linking directly against them, there might be a configure switch for it.

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: Wine 6.20+ uses bundled libraries
  2021-11-22 15:47 [ISSUE] Wine 6.20+ uses bundled libraries amak79
  2021-11-22 16:57 ` ericonr
@ 2021-11-23  0:16 ` amak79
  2021-11-23  0:37 ` amak79
                   ` (2 subsequent siblings)
  4 siblings, 0 replies; 6+ messages in thread
From: amak79 @ 2021-11-23  0:16 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 659 bytes --]

New comment by amak79 on void-packages repository

https://github.com/void-linux/void-packages/issues/34201#issuecomment-976031568

Comment:
I mistakenly assumed that Wine was using the bundled SDL2. It was actually being pulled in by FAudio, which has been bundled. Wine does have support for SDL2 but the template doesn't explicitly set it in `makedepends`. It's automatically linked against because `FAudio-devel` pulls it in.

I don't know how to fix Wine to use the system FAudio and the other deps that have been bundled. The configure switch has been [removed](https://source.winehq.org/git/wine.git/commit/d8be85863fedf6982944d06ebd1ce5904cb3d4e1).

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: Wine 6.20+ uses bundled libraries
  2021-11-22 15:47 [ISSUE] Wine 6.20+ uses bundled libraries amak79
  2021-11-22 16:57 ` ericonr
  2021-11-23  0:16 ` amak79
@ 2021-11-23  0:37 ` amak79
  2021-11-23  1:51 ` amak79
  2021-11-23  1:56 ` amak79
  4 siblings, 0 replies; 6+ messages in thread
From: amak79 @ 2021-11-23  0:37 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 661 bytes --]

New comment by amak79 on void-packages repository

https://github.com/void-linux/void-packages/issues/34201#issuecomment-976031568

Comment:
I mistakenly assumed that Wine was using the bundled SDL2. It was actually being pulled in by FAudio, which has been bundled. Wine does have support for SDL2 but the template doesn't explicitly set it in `makedepends`. Wine automatically links against it because `FAudio-devel` pulls it in.

I don't know how to fix Wine to use the system FAudio and the other deps that have been bundled. The configure switch has been [removed](https://source.winehq.org/git/wine.git/commit/d8be85863fedf6982944d06ebd1ce5904cb3d4e1).

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: Wine 6.20+ uses bundled libraries
  2021-11-22 15:47 [ISSUE] Wine 6.20+ uses bundled libraries amak79
                   ` (2 preceding siblings ...)
  2021-11-23  0:37 ` amak79
@ 2021-11-23  1:51 ` amak79
  2021-11-23  1:56 ` amak79
  4 siblings, 0 replies; 6+ messages in thread
From: amak79 @ 2021-11-23  1:51 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 328 bytes --]

New comment by amak79 on void-packages repository

https://github.com/void-linux/void-packages/issues/34201#issuecomment-976096692

Comment:
The following deps have been bundled since Wine 6.20.

- FAudio
- libgsm
- libjpeg (not packaged by Void)
- jxrlib
- lcms2
- mpg123
- libpng
- tiff
- libxml2
- libxslt
- zlib

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: Wine 6.20+ uses bundled libraries
  2021-11-22 15:47 [ISSUE] Wine 6.20+ uses bundled libraries amak79
                   ` (3 preceding siblings ...)
  2021-11-23  1:51 ` amak79
@ 2021-11-23  1:56 ` amak79
  4 siblings, 0 replies; 6+ messages in thread
From: amak79 @ 2021-11-23  1:56 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 659 bytes --]

New comment by amak79 on void-packages repository

https://github.com/void-linux/void-packages/issues/34201#issuecomment-976031568

Comment:
I mistakenly assumed that Wine was using a bundled SDL2. It was actually being pulled in by FAudio, which has been bundled. Wine does have support for SDL2 but the template doesn't explicitly set it in `makedepends`. Wine automatically links against it because `FAudio-devel` pulls it in.

I don't know how to fix Wine to use the system FAudio and the other deps that have been bundled. The configure switch has been [removed](https://source.winehq.org/git/wine.git/commit/d8be85863fedf6982944d06ebd1ce5904cb3d4e1).

^ permalink raw reply	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2021-11-23  1:56 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-11-22 15:47 [ISSUE] Wine 6.20+ uses bundled libraries amak79
2021-11-22 16:57 ` ericonr
2021-11-23  0:16 ` amak79
2021-11-23  0:37 ` amak79
2021-11-23  1:51 ` amak79
2021-11-23  1:56 ` amak79

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).